c====================================================================
      subroutine etv(lmd,pshi,x,y)
c--------------------------------------------------------------------
      implicit double precision  ( a - h, o - z )
      real lmd,pshi,x,y
      real*8 PI, ETVRAD
      parameter (PI=3.141592653589793d0, ETVRAD=100.0d0)
      cosdlt=cos(pshi)*cos(0.5d0*lmd)
      sindlt=sqrt(1.0000001d0-cosdlt*cosdlt)
      if (abs(cosdlt) .lt. 1.0d-7) then
         dlt=PI/2.0d0
         goto 1000
      endif
      dlt=atan(sindlt/cosdlt)
 1000 continue
      cosv=sin(pshi)/sin(dlt)
      sinv=sqrt(1.0000001d0-cosv*cosv)
      x=2.0d0*ETVRAD*dlt*sinv* sign(1.0,lmd)
      y=ETVRAD*dlt*cosv
      return
      end
